"{ Package: 'cvut:stx/goodies/libsvn' }"

"{ NameSpace: SVN }"

XMLObject subclass:#WCEntryInfo
	instanceVariableNames:'path kind revision author date'
	classVariableNames:''
	poolDictionaries:''
	category:'SVN-Working copy'
!

!WCEntryInfo class methodsFor:'documentation'!

version_SVN
    ^'$Id$'
! !

!WCEntryInfo methodsFor:'accessing'!

author
    ^ author
!

author:something
    author := something.
!

date
    ^ date
!

date:something
    date := something.
!

kind
    ^ kind
!

kind:something
    kind := something.
!

path
    ^ path
!

path:something
    path := something.
!

revision
    ^ revision
!

revision:something
    revision := something.
! !

!WCEntryInfo methodsFor:'initialization'!

readFromXml: xmlNode 
    path := xmlNode @ 'path'.
    kind := xmlNode @ 'kind'.
    revision := ((xmlNode / 'commit') @ 'revision') asNumber.
    author := (xmlNode / 'commit' / 'author') characterData.
    date := Timestamp 
                readISO8601From: (xmlNode / 'commit' / 'date') characterData.

    "Modified: / 06-04-2008 / 21:36:51 / janfrog"
    "Created: / 15-06-2009 / 12:23:09 / Jan Vrany <vranyj1@fel.cvut.cz>"
! !

!WCEntryInfo class methodsFor:'documentation'!

version
    ^ '$Header$'
! !
